#priceChart .tv-lightweight-charts {
    border: solid 2px black;
    border-bottom: none;
}

#timeframe-btns {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    width: calc(100% - 4px);
    border: solid 2px black;
    font-size: var(--s3);
}

.active-tf,
.active-tf:active,
.active-tf:focus,
.non-active-tf:hover,
.non-active-tf:active,
.non-active-tf:focus {
    background: #4d4dd1;
    padding: 8px 0;
    border: none;
}

.non-active-tf {
    border: none;
    background: #28288f;
    padding: 2px 0;
}

#custom-tf {
    display: grid;
    grid-template-columns: repeat(2, min-content);
    grid-template-columns: repeat(auto-fit, minmax(240px, 1fr));
    justify-content: center;
    justify-items: center;
    align-content: center;
    align-items: center;
    width: calc(100% - 4px);
    border: solid 2px black;
    border-top: none;
    font-size: var(--s3);
    background: #4d4dd1;
    transform: translateY(-3px);
    padding: 5px 0 0 0;
    margin: 0;
}

#custom-tf div {
    padding: 0 0 5px 0;
    display: grid;
    grid-template-columns: 35px max-content;
    align-content: center;
    align-items: center;
    justify-content: start;
    column-gap: 10px;
}

#custom-tf p {
    padding: 0;
    margin-left: 5px;
    border: none;
}

#custom-tf input {
    background: #53628f;
    padding: 0;
    margin: 0;
    text-align: center;
    border: solid 1px black;
    border-radius: 3px;
    padding: 4px;
    margin: 3px 0;
    width: 160px;
    font-size: var(--s2);
}

#vol-sec {
    display: grid;
    justify-content: stretch;
    /* background: #1a1d85; */
    background: #3438ba;
    padding: 8px 5px;
    width: calc(100% - 14px);
    margin: 0;
    border: solid 2px black;
    border-top: none;
}

#vol-main-title {
    font-size: var(--s1);
    font-weight: bold;
    /* text-decoration: underline; */
    text-align: center;
    border: none;
    box-shadow: none;
    margin: 0;
    padding: 0;
    /* color: #92e3ff; */
}

#vol-sec-wr {
    display: grid;
    grid-template-columns: repeat(4, auto);
    justify-content: space-around;
    margin: 0;
    padding: 0;
    padding-top: 5px;
}

#vol-sec div div {
    margin: 0;
    padding: 0;
    font-size: var(--s3);
    display: grid;
    grid-template-columns: max-content min-content;
    grid-template-columns: 1fr;
    justify-content: center;
    justify-items: center;
    align-content: center;
    align-items: center;
    column-gap: 5px;
}

.vol-val {
    font-size: var(--s3);
    text-decoration: none;
}

.vol-title {
    font-size: var(--s3);
    font-weight: bold;
    text-decoration: none;
    /* color: var(--c9); */
    color: #92e3ff;
    text-align: center;
    margin-bottom: 2px;
}

@media screen and (max-width: 320px) {
    #vol-sec-wr {
        grid-template-columns: repeat(2, auto);
    }

    .vol-title-r2 {
        margin-top: 5px;
    }
}

#performance-sec {
    display: grid;
    justify-content: stretch;
    background: #050757;
    background: #30308a;
    background: #20205e;
    /* padding: 0 5px; */
    padding-bottom: 10px;
    width: 500px;
    /* max-width: calc(100vw - 28px); */
    margin: 0;
    margin-top: 30px;
    /* border: solid 2px black; */
    border: solid 1px white;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    /* box-shadow: 0 -10px 10px -10px white,
              -10px 0 10px -10px white, 
              10px 0 10px -10px white; */
}

#performance-main-title-wr,
#valuation-sec-title,
#risk-sec-title,
#dividends-sec-title {
    font-size: var(--s1);
    font-weight: bold;
    text-align: center;
    border: none;
    box-shadow: none;
    margin: 0;
    padding: 0;
    margin-bottom: 10px;
    padding-top: 20px;
    background: transparent;
}

#performance-sec-wr {
    display: grid;
    grid-template-columns: repeat(10, auto);
    grid-template-columns: repeat(5, auto);
    justify-content: space-around;
    margin: 0;
    padding: 0;
    padding-top: 5px;
}

#performance-sec div div {
    margin: 0;
    margin-bottom: 10px;
    padding: 0;
    font-size: var(--s3);
    display: grid;
    grid-template-columns: max-content min-content;
    grid-template-columns: 1fr;
    justify-content: center;
    justify-items: center;
    align-content: center;
    align-items: center;
    column-gap: 5px;
}

.performance-val {
    font-size: var(--s3);
    text-decoration: none;
    color: #D3D3D3;
    margin-bottom: 0;
}

.performance-title {
    font-size: var(--s3);
    /* font-weight: bold; */
    text-decoration: none;
    /* color: #92e3ff; */
    text-align: center;
    margin-bottom: 5px;
}

.performance-title-r2 {
    margin-top: 5px;
}

@media screen and (max-width: 420px) {
    #performance-sec-wr {
        grid-template-columns: repeat(5, auto);
    }

    .performance-title-r2 {
        margin-top: 5px;
    }
}

#valuation-riskDiv-wr {
    display: grid;
    grid-template-columns: 1fr 1fr;
    justify-content: stretch;
    /* max-width: calc(100vw - 28px); */
    border: solid 1px white;
    border-top: none;
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
    background: #30308a;
    /* padding: 0 5px; */
}

#valuation-sec {
    display: grid;
    justify-content: center;
    border-right: solid 1px white;
}

#riskDiv-sec {
    display: grid;
    justify-content: stretch;
}

#valuation-sec-title,
#risk-sec-title,
#dividends-sec-title {
    margin-bottom: 10px;
    padding-top: 20px;
    margin-top: 0;
}

#dividends-sec-title {
    border-top: solid 1px white;
}

.valuation-riskDiv-title-val {
    display: grid;
    grid-template-columns: auto min-content;
    margin: 2px;
    column-gap: 25px;
    font-size: var(--s3);
    width: 170px;
}

#watchers-sec,
#analysts-sec,
#news-sentiment-sec {
    background: #122062;
    display: grid;
    justify-content: center;
    align-content: center;
    border-radius: 8px;
    border: solid 1px white;
    margin: 0;
}

#watchers-sec,
#analysts-sec {
    margin-top: 30px;
}

#watchers-sec-title,
#analysts-sec-title,
#analysts-sec-title2,
#analysts-sec-title3,
#news-sentiment-sec-title {
    text-align: center;
    margin: 0;
    padding: 0;
    margin-bottom: 10px;
    padding-top: 20px;
    border: none;
    font-size: var(--s1);
    font-weight: bold;
    box-shadow: none;
}

#analysts-sec-title,
#analysts-sec-title2,
#analysts-sec-title3 {
    border-radius: 8px;
}

#analysts-sec {
    align-content: start;
    justify-content: stretch;
}

.watchers-val {
    white-space: nowrap;
}

.watchers-title-val {
    display: grid;
    grid-template-columns: auto min-content;
    margin: 2px;
    column-gap: 10px;
    font-size: var(--s3);
    width: 190px;
}

@media screen and (max-width: 420px) {
    #valuation-sec {
        border-right: none;
    }

    #valuation-riskDiv-wr {
        grid-template-columns: 1fr;
    }

    #risk-sec-title {
        border-top: solid 1px white;
    }
}

.analyst-bar {
    top: 0px;
    position: absolute;
    left: 10%;
    height: 20px;
}

.analyst-legend-item {
    display: grid;
    grid-template-columns: min-content auto;
    column-gap: 5px;
    align-content: center;
    align-items: center;
    justify-content: center;
    font-size: var(--s3);
}

.analyst-legend-item div {
    height: 8px;
    width: 8px;
}

@media screen and (max-width: 420px) {
    #watchers-sec,
    #analysts-sec {
        margin: 0;
    }

    #analysts-sec {
        margin-top: 30px;
    }

    #analysts-sec-title,
    #analysts-sec-title2,
    #analysts-sec-title3 {
        height: unset;
    }

    .analyst-legend-item {
        font-size: var(--s2);
    }
}

#profile-sec {
    border: solid 1px white;
    border-radius: 8px;
    margin-top: 30px;
    background: #122062;
    color: #d3d3d3;
    padding: 10px 0px;
}

#profile-sec p {
    padding: 0;
    margin: 10px;
    border: none;
    font-size: var(--s2);
    /* width: unset; */
}

#news-sec-title {
    font-size: var(--s1);
    font-weight: bold;
    text-align: center;
    border: none;
    border-bottom: solid 1px white;
    box-shadow: none;
    margin: 0;
    padding: 0;
    padding-top: 10px;
    /* padding-bottom: 10px; */
    margin-top: 30px;
    /* position: sticky; */
    /* top: 155px; */
}
#news-sec-title-wr {
    position: sticky;
    top: 155px;
    background: #171C4F;
}
.article {
    width: 100%;
    display: grid;
    grid-template-columns: auto min-content;
    white-space: nowrap;
    margin: 5px 10px;
    align-content: center;
    align-items: center;
    column-gap: 10px;
    display: none;
}

.article-title {
    overflow: hidden;
    text-overflow: ellipsis;
    color: white;
}

.article-writter-time {
    font-size: var(--s4);
}

.article2-wr {
    width: calc(100% - 20px);
    padding: 20px 10px;
    border-bottom: solid 1px white;
    background: #1465ff;
    background: #00308a;
    display: grid;
    justify-content: center;
    justify-items: start;
    text-align: left;
}

.article2-wr:hover {
    background: #3f81ff;
}

.article2 {
    width: 500px;
    max-width: 90vw;
}

.article2-title {
    font-weight: bold;
    font-size: var(--s2);
    border: none;
    margin: 0;
    padding: 0;
    color: white;
}

.article2-writter-time {
    margin: 0;
    padding: 0;
    font-size: var(--s3);
    border: none;
    color: #d2d2d2;
    margin-bottom: 5px;
    line-height: 1.5;
}

.footer-dummy {
    height: 65px;
}

@media screen and (min-width: 745px) {
    .footer-dummy {
        height: 5px;
    }
    #news-sec-title-wr {
        top: 190px;
    }
}

#main-wr {
    display: grid;
    justify-content: center;
    justify-items: center;
    grid-template-columns: auto auto;
    column-gap: 30px;
    align-content: start;
    align-items: start;
}

@media screen and (max-width: 1080px) {
    #main-wr {
        grid-template-columns: auto;
    }

    #watchers-sec {
        margin-top: 30px;
    }
}

#news-sec {
    overflow: hidden;
    overflow-x: hidden;
    overflow-y: auto;
    -ms-overflow-style: none;
    scrollbar-color: var(--c9) transparent !important;
    scrollbar-width: thin !important;
}

#news-sec::-webkit-scrollbar {
    display: none;
    height: 4px;
    width: 10px;
    background: transparent;
}

#news-sec::-webkit-scrollbar-track:vertical {
    background: transparent;
}

#news-sec::-webkit-scrollbar-thumb:vertical {
    background: var(--c9);
}

.sticky-header {
    padding-top: 10px;
    position: sticky;
    /* top: 50px; */
    top: 51px;
    z-index: 3;
    background: var(--c2);
}

@media screen and (min-width: 745px) {
    .sticky-header {
        /* top: 86px; */
        top: 87px;
    }
}

.t-t-dummy {
    background: var(--c2);
    display: grid;
    grid-template-columns: var(--m1) auto var(--m1);
    align-content: end;
    align-items: end;
    width: 100%;
    z-index: 1;
}

.t-t {
    display: grid;
    grid-template-columns: min-content auto min-content;
    align-content: start;
    align-items: start;
    white-space: nowrap;
    margin-bottom: -2px;
}

.t-t p:nth-child(1) {
    font-size: var(--s0);
    font-weight: bold;
}

.t-t p:nth-child(2) {
    font-size: var(--s3);
    margin-left: 5px;
    transform: translateY(1px);
    text-align: left;
}

#company-name {
    overflow: hidden;
    text-overflow: ellipsis;
}

.t-m1-dummy {
    background: var(--c2);
    display: grid;
    grid-template-columns: var(--m1) auto var(--m1);
    align-content: start;
    align-items: start;
    width: 100%;
    z-index: 1;
}

.t-m1 {
    display: grid;
    grid-template-columns: repeat(2, min-content);
    white-space: nowrap;
    font-size: var(--s0);
}

.t-m1 p:nth-child(2) {
    font-size: var(--s3);
    margin-left: 10px;
}

.t-m1-r {
    color: var(--c5);
}

.t-m2-dummy {
    background: var(--c2);
    display: grid;
    grid-template-columns: var(--m1) auto var(--m1);
    align-content: start;
    align-items: start;
    width: 100%;
    font-size: var(--s4);
    color: var(--c8);
    padding-bottom: 10px;
}

#add-wl {
    font-size: var(--s3);
    /* border: 1px solid var(--c8); */
    font-weight: bold;
    background: var(--c9);
    color: var(--c2);
    border-radius: 1px;
    padding: 5px 8px;
    cursor: pointer;
}

.blinking {
    animation: blinkingText 1.0s 1;
}

@keyframes blinkingText {
    0% {
        color: transparent;
    }

    20% {
        color: var(--c4);
        text-shadow: 0 0 2px var(--c9), 0 0 3px var(--c9), 0 0 4px var(--c9);
    }

    60% {
        color: var(--c4);
        text-shadow: 0 0 2px var(--c9), 0 0 3px var(--c9);
    }

    70% {
        color: var(--c4);
        text-shadow: 0 0 2px var(--c9);
    }

    100% {
        color: var(--c4);
    }
}

#watchlist-scroll::-webkit-scrollbar,
#coverage-q::-webkit-scrollbar {
    height: 4px;
    width: 6px;
    background: transparent;
}

#watchlist-scroll::-webkit-scrollbar-track:vertical,
#coverage-q::-webkit-scrollbar-track:vertical {
    background: transparent;
}

#watchlist-scroll::-webkit-scrollbar-thumb:vertical,
#coverage-q::-webkit-scrollbar-thumb:vertical {
    background: var(--c9);
}

#coverage-q {
    overflow-y: auto;
    max-height: 60vh;
    -ms-overflow-style: none;
    scrollbar-color: var(--c9) transparent !important;
    scrollbar-width: thin !important;
    max-width: 600px;
}

#watchlist-scroll {
    overflow-y: auto;
    max-height: 60vh;
    -ms-overflow-style: none;
    scrollbar-color: var(--c9) transparent !important;
    scrollbar-width: thin !important;
    display: grid;
    grid-template-columns: min-content auto;
    margin: 10px 10%;
}

.watchlist-option-label {
    margin: 0;
    margin-top: 8px;
    margin-left: 8px;
    transform: translateY(-4px);
    text-overflow: ellipsis;
    overflow-x: hidden;
}

.main-pop-t {
    display: grid;
    grid-template-columns: 1fr auto 1fr;
}

.main-pop-t-l {
    display: grid;
    justify-content: start;
    align-items: start;
}

.main-pop-t-l span {
    transform: translateY(-4px);
}

.main-pop-t-c {
    text-align: center;
    display: grid;
    justify-content: center;
    font-size: var(--s1);
    font-weight: bold;
    white-space: normal;
}

.b-b-dt,
.b-b-dt:focus {
    /* border: solid 1px var(--c3); */
    background: var(--c3);
    text-align: center;
    border-radius: 2px;
    padding: 8px 0;
    margin: 0;
    font-size: var(--s3);
}

.down {
    color: var(--c6);
}

.premium-pop-p {
    text-align: center;
    white-space: normal;
    font-size: var(--s2);
    line-height: 1.4;
    margin: 10px 10px;
}

#premium-pop-t-c {
    font-size: var(--s0);
}

#premium-pop-p1 {
    margin-top: 15px;
    margin-bottom: 15px;
}

#premium-pop-p2 {
    font-size: var(--s3);
}

#premium-pop-p2 span {
    margin: 0;
    text-decoration: underline;
    color: var(--c9);
}

#premium-pop-lm {
    margin-bottom: -5px;
}

.main-pop-o {
    background: var(--c9);
    font-size: var(--s1);
    font-weight: bold;
    text-align: center;
    margin: 10px;
    color: var(--c1);
    border-radius: 3px;
    display: grid;
    align-content: center;
    white-space: normal;
    cursor: pointer;
}

#odds-sec {
    border: solid 1px white;
    border-radius: 8px;
    margin-top: 30px;
    background: #122062;
    /* color: #d3d3d3; */
    padding-bottom: 20px;
}

#odds-sec-title {
    text-align: center;
    margin: 0;
    padding: 0;
    margin-bottom: 10px;
    padding-top: 20px;
    border: none;
    font-size: var(--s1);
    font-weight: bold;
    box-shadow: none;
    border-radius: 10px;
    white-space: nowrap;
    /* align-content: start; */
    /* align-items: end; */
}

.odds-btn,
.odds-btn:active,
.odds-btn:focus {
    width: 100%;
    background: #28288f;
    padding: 8px 0;
    border: none;
}

.active-odds-btn,
.active-odds-btn:active,
.active-odds-btn:focus,
.odds-btn:hover {
    background: #4d4dd1;
    border: none;
}

/* .non-active-tf {
border: none;
padding: 2px 0;
} */
.odds-sec-val,
.odds-sec-val2 {
    text-align: right;
}

#hl-sec {
    border: solid 1px white;
    border-radius: 8px;
    margin-top: 30px;
    background: #122062;
    /* color: #d3d3d3; */
    /* padding-bottom: 10px; */
    font-size: var(--s2);
}

#hl-sec-title {
    text-align: center;
    margin: 0;
    padding: 0;
    padding-top: 20px;
    border: none;
    font-size: var(--s1);
    font-weight: bold;
    box-shadow: none;
    height: unset;
    border-radius: 10px;
}

.hl-range-title {
    padding: 0;
    margin: 0;
    border: 0;
    margin-top: 20px;
    margin-left: 5%;
    padding-bottom: 2px;
    font-weight: bold;
    height: unset;
}

.hl-range-bar {
    width: 90%;
    position: relative;
    background: #5875ff;
    height: 10px;
    border-radius: 5px;
    margin-left: 5%;
}

.hl-range-circle {
    position: absolute;
    top: -2px;
    /* transform: translateY(-50%); */
    width: 14px;
    height: 14px;
    border-radius: 100%;
    /* border: solid 1px black; */
    background: white;
}

.hl-range-vals {
    display: grid;
    grid-template-columns: auto auto;
    justify-content: space-between;
    width: 90%;
    margin-left: 5%;
    margin-bottom: 5px;
    margin-top: 0;
    white-space: nowrap;
    font-size: var(--s3);
    height: unset;
}

.hl-range-high {
    color: var(--c5);
    margin: 0;
    height: unset;
}

.hl-range-low {
    color: var(--c6);
    margin: 0;
    height: unset;
}

#odds-hl-sec {
    display: grid;
    grid-template-columns: 50% 50%;
    justify-content: stretch;
    align-content: start;
    align-items: stretch;
    width: calc(100% - 4px);
    /* margin-top: 30px; */
}

#odds-sec {
    margin-right: 8px;
}

#hl-sec {
    margin-left: 8px;
}

.odds-br {
    margin: 0;
    padding: 0;
}

@media screen and (max-width: 480px) {
    #odds-hl-sec {
        grid-template-columns: 1fr;
    }

    #odds-sec {
        margin-right: 0;
    }

    #hl-sec {
        margin-left: 0;
    }

    .odds-br {
        display: none;
    }
}

@media screen and (min-width: 1080px) {

    #odds-sec {
        margin-right: 15px;
    }

    #hl-sec {
        margin-left: 15px;
    }
}

#odds-explanation-big span,
#odds-explanation-small span,
#unprecedented-warning span {
    margin: 0;
    padding: 0;
}


.hl-range-circle2 {
    position: absolute;
    top: -2px;
    width: 3px;
    height: 14px;
    /* border-radius: 100%; */
    background: white;
}


.hl-range-bar-rel {
    width: 90%;
    position: relative;
    background: #5875ff;
    height: 25px;
    border-radius: 100px;
    /* border: solid 1px white; */
    /* border-left: solid 2px var(--c5); */
    /* border-right: solid 2px var(--c6); */
    margin-left: 5%;
}

.hl-range-bar-rel-month {
    position: absolute;
    background: #31b0ff;
    /* background: #2e4ad4; */
    height: 19px;
    border-radius: 100px;
    /* border: solid 1px white; */
    top: 3px;
}

.hl-range-bar-rel-week {
    position: absolute;
    background: #913dff;
    background: #7422bc;
    /* background: #171796; */
    /* border: solid 1px white; */
    /* background: #000000; */
    height: 13px;
    border-radius: 100px;
    top: 6px;
}

.hl-range-bar-rel-circle {
    position: absolute;
    top: -2px;
    width: 3px;
    height: 29px;
    /* border-radius: 100%; */
    background: white;
}

#custom-odds-wr {
    display: none;
    grid-template-columns: 1fr;
    justify-content: center;
    justify-items: center;
    align-content: center;
    align-items: center;
    font-size: var(--s2);
    background: #4666ff;
    background: #4d4dd1;
    margin: 0;
    padding: 10px 0;
    width: calc(100% - 20px);
    padding: 10px 10px;
    border-bottom: solid 1px white;
}

#custom-odds-wr p {
    margin: 0px;
    padding: 0;
    border: none;
}

#custom-odds-wr input {
    background: #424242;
    border: solid 1px white;
    width: 60px;
    text-align: center;
    padding: 3px 0;
    margin: 0px;
    margin-top: 10px;
    border-radius: 3px;
}

.recentNews-wr {
    display: grid;
    grid-template-columns: auto min-content;
    column-gap: 10px;
    justify-content: start;
    justify-items: start;
    align-content: center;
    align-items: center;
}

.recentNews-icon {
    background: #f5caf5;
    /* margin: 3px 0; */
    margin: 5px 0 5px 5px;
    color: #00308a;
    font-size: var(--s4);
    border-radius: 2px;
    padding: 2px 10px;
    font-weight: bold;
    white-space: nowrap;
}

.bullish-icon {
    background: #83e794;
}

.bearish-icon {
    background: #f16282;
}

.neutral-icon {
    background: #d2d2d2;
}
.bullish-icon {
    background: #83e794;
}
.bullish-icon-off {
    background: none;
    color: #83e794;
    border: solid 1px #83e794;
}
.bullish-icon-off:hover, .bullish-icon-on {
    background: #83e794;
    color: #00308a;
    border: solid 1px #83e794;
}

.bearish-icon-off {
    background: none;
    color: #f16282;
    border: solid 1px #f16282;
}
.bearish-icon-off:hover,.bearish-icon-on {
    background: #f16282;
    color: #00308a;
    border: solid 1px #f16282;
}

.neutral-icon-off {
    background: none;
    color: #d2d2d2;
    border: solid 1px #d2d2d2;
}

.neutral-icon-off:hover,.neutral-icon-on {
    background: #d2d2d2;
    color: #00308a;
    border: solid 1px #d2d2d2;
}

.bullish-icon {
    background: #83e794;
}

.bearish-icon {
    background: #f16282;
}

.neutral-icon {
    background: #d2d2d2;
}

.video-icon-off {
    background: #d2d2d2;
}

.news-toggle {
    cursor: pointer;
    padding: 5px 10px;
}

@keyframes ring {
    0% {
        transform: rotate(0);
    }

    1% {
        transform: rotate(30deg);
    }

    3% {
        transform: rotate(-28deg);
    }

    5% {
        transform: rotate(34deg);
    }

    7% {
        transform: rotate(-32deg);
    }

    9% {
        transform: rotate(30deg);
    }

    11% {
        transform: rotate(-28deg);
    }

    13% {
        transform: rotate(26deg);
    }

    15% {
        transform: rotate(-24deg);
    }

    17% {
        transform: rotate(22deg);
    }

    19% {
        transform: rotate(-20deg);
    }

    21% {
        transform: rotate(18deg);
    }

    23% {
        transform: rotate(-16deg);
    }

    25% {
        transform: rotate(14deg);
    }

    27% {
        transform: rotate(-12deg);
    }

    29% {
        transform: rotate(10deg);
    }

    31% {
        transform: rotate(-8deg);
    }

    33% {
        transform: rotate(6deg);
    }

    35% {
        transform: rotate(-4deg);
    }

    37% {
        transform: rotate(2deg);
    }

    39% {
        transform: rotate(-1deg);
    }

    41% {
        transform: rotate(1deg);
    }

    43% {
        transform: rotate(0);
    }

    100% {
        transform: rotate(0);
    }
}
#news-sentiment-sec {
    margin-top: 30px;
    align-content: start;
}
.news-sentiment-bar {
    top: 55px;
    position: absolute;
    left: 10%;
    height: 50px;
}
.news-sentiment-legend-item {
    display: grid;
    grid-template-columns: min-content auto;
    column-gap: 5px;
    align-content: center;
    align-items: center;
    justify-content: center;
    font-size: var(--s3);
}

.news-sentiment-legend-item div {
    height: 8px;
    width: 8px;
}

@media screen and (max-width: 420px) {
    .news-sentiment-legend-item {
        font-size: var(--s2);
    }
}
.msg {
    color: var(--c1);
    background: var(--c5);
    text-align: center;
    width: 100%;
    box-sizing: border-box;
    padding: 5px var(--m1);
}
.performance-rank {
    margin-top: 5px;
    color: var(--c9);
    color: gold;
    text-decoration: underline;
}

.analysts-top {
    display: grid;
    grid-template-columns: auto min-content;
    justify-content: space-between;
    margin-top: 10px;
    /* padding: 0 20px; */
}
@media screen and (max-width: 440px) {
    .analysts-top {
        grid-template-columns: auto;
        justify-content: center;
        justify-items: center;
        margin-bottom: 20px;
    }
}

.arc {
    border: 15px solid transparent;
    border-radius: 50%;
    height: 50px;
    width: 50px;
    position: absolute;
    top: 0;
    left: calc(50% - 40px);
}

#legends2 {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    padding-bottom: 20px;
}
@media screen and (max-width: 430px) {
    #legends2 {
        grid-template-columns: 1fr 1fr;
        row-gap: 5px;
    }
    .legends2-titles {
        width: 100px;
        white-space: nowrap;
    }
}